## net.i2p.router.web
Class GraphHelper

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.GraphHelper

    public class GraphHelper

extends FormHandler

Field Summary
`protected Writer` `_out`
`static int` `DEFAULT_X`
`static int` `DEFAULT_Y`
`(package private) static int` `MAX_X`
`(package private) static int` `MAX_Y`

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`GraphHelper()`

Method Summary
`String` `getAllMessages()` We have to do this here because processForm() isn't called unless the nonces are good
`String` `getForm()`
`String` `getImages()`
`String` `getRefreshMeta()` This must be output in the jsp since must be in the
`protected void` `processForm()` This was a HelperBase but now it's a FormHandler
`void` `setContextId(String contextId)` set the defaults after we have a context
`void` `setHeight(String str)`
`void` `setPeriodCount(String str)`
`void` `setPersistent(String foo)`
`void` `setRefreshDelay(String str)`
`void` `setShowEvents(boolean b)`
`void` `setWidth(String str)`
`void` `storeWriter(Writer out)` This was a HelperBase but now it's a FormHandler

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getErrors, getNewNonce, getNotices, setAction, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _out

    protected Writer _out

### DEFAULT_X

    public static final int DEFAULT_X

See Also:
  Constant Field Values

### DEFAULT_Y

    public static final int DEFAULT_Y

See Also:
  Constant Field Values

### MAX_X

    static final int MAX_X

See Also:
  Constant Field Values

### MAX_Y

    static final int MAX_Y

See Also:
  Constant Field Values

Constructor Detail

### GraphHelper

    public GraphHelper()

Method Detail

### setContextId

    public void setContextId(String contextId)

  set the defaults after we have a context

  Overrides:
    `setContextId` in class `FormHandler`
  Parameters:
    `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

### getRefreshMeta

    public String getRefreshMeta()

  This must be output in the jsp since must be in the

  Since:
    0.8.7

### storeWriter

    public void storeWriter(Writer out)

  This was a HelperBase but now it's a FormHandler

  Since:
    0.8.2

### setPeriodCount

    public void setPeriodCount(String str)

### setShowEvents

    public void setShowEvents(boolean b)

### setHeight

    public void setHeight(String str)

### setWidth

    public void setWidth(String str)

### setRefreshDelay

    public void setRefreshDelay(String str)

### setPersistent

    public void setPersistent(String foo)

  Since:
    0.8.7

### getImages

    public String getImages()

### getForm

    public String getForm()

### getAllMessages

    public String getAllMessages()

  We have to do this here because processForm() isn't called unless the nonces are good

  Overrides:
    `getAllMessages` in class `FormHandler`
  Since:
    0.8.7

### processForm

    protected void processForm()

  This was a HelperBase but now it's a FormHandler

  Overrides:
    `processForm` in class `FormHandler`
  Since:
    0.8.2